Namespace
library
Image / Tag
docker:20.10.15-git
Content Digest
sha256:804169b2f206a1eb99707a01c057413b0373a177e6cd0ebd79ca04134adc8981
Details
Created

2022-05-11 01:31:05 UTC

Size

96 MB

Content Digest
Environment
DOCKER_BUILDX_VERSION

0.8.2

DOCKER_COMPOSE_VERSION

2.5.0

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.15

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df9b9388f04ad6279a7410b85cedfdcb2208c0a003da7ab5613af71079148139 - 2.8% (2.68 MB)

[#001] sha256:c60e3bd692ff4ff4d32e553972ecdb6781dd2c64e1b8ce0ea011f36caf237816 - 1.96% (1.88 MB)

[#002] sha256:36df9e333c707e825d69eb4d7bff03bb32304316c692a4a4a6cdf2860b94ccd9 - 0.0% (154 Bytes)

[#003] sha256:fde439603efe4d8aa07f865a0f0c54a9f1f8067f28c2a8c09f21c21633626a7f - 65.04% (62.4 MB)

[#004] sha256:2220c12dac3441d27b5387a49fccc6b7f5af7ddc9aff8ed33606d0d7edfd8eaa - 14.36% (13.8 MB)

[#005] sha256:bc445e1e497c3b13a52a6d0a3d80ca2647800e00269b8a565d6bda861a29ace7 - 9.06% (8.69 MB)

[#006] sha256:9dd7ed9cb253bc64e75aca8594cea35b4855c0dc0019b0deafc2129cb1654839 - 0.0% (548 Bytes)

[#007] sha256:dc3b84550078ef54a0f19b21faabcfbab4b0bee902667e27e99677b7823f5e7b - 0.0% (1021 Bytes)

[#008] sha256:09f2706e8f26ae6d1aeac1334e6877023ee32ac62243384effb1448afd5b2c8d - 0.0% (150 Bytes)

[#009] sha256:f6528dd3b557823e0917ff9a89a5a3e96ab5db4beb04369fa74dedf54ec5d0f8 - 6.78% (6.51 MB)


History
2022-04-05 00:19:59 UTC

/bin/sh -c #(nop) ADD file:5d673d25da3a14ce1f6cf66e4c7fd4f4b85a3759a9d93efb3fd9ff852b5b56e4 in /

2022-04-05 00:19:59 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 11:02:42 UTC

/bin/sh -c apk add --no-cache ca-certificates libc6-compat openssh-client

2022-04-05 11:02:43 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2022-05-06 01:19:25 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.15

2022-05-06 01:19:31 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.15.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.15.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.15.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.15.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2022-05-11 01:30:40 UTC

/bin/sh -c #(nop) ENV DOCKER_BUILDX_VERSION=0.8.2

2022-05-11 01:30:42 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-amd64'; sha256='c64de4f3c30f7a73ff9db637660c7aa0f00234368105b0a09fa8e24eebe910c3'; ;; 'armhf') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-arm-v6'; sha256='d0e5d19cd67ea7a351e3bfe1de96f3d583a5b80f1bbadd61f7adcd61b147e5f5'; ;; 'armv7') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-arm-v7'; sha256='b5bb1e28e9413a75b2600955c486870aafd234f69953601eecc3664bd3af7463'; ;; 'aarch64') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-arm64'; sha256='304d3d9822c75f98ad9cf57f0c234bcf326bbb96d791d551728cadd72a7a377f'; ;; 'ppc64le') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-ppc64le'; sha256='32b317d86c700d920468f162f93ae2282777da556ee49b4329f6c72ee2b11b85'; ;; 'riscv64') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-riscv64'; sha256='76d5fcf92ffa31b3e470d8ec1ab11f7b6997729e5c94d543fec765ad79ad0630'; ;; 's390x') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-s390x'; sha256='ec4bb6f271f38dca5a377a70be24ee2108a85f6e6ba511ad3b805c4f1602a0d2'; ;; *) echo >&2 "warning: unsupported buildx architecture ($apkArch); skipping"; exit 0 ;; esac; plugin='/usr/libexec/docker/cli-plugins/docker-buildx'; mkdir -p "$(dirname "$plugin")"; wget -O "$plugin" "$url"; echo "$sha256 *$plugin" | sha256sum -c -; chmod +x "$plugin"; docker buildx version

2022-05-11 01:30:42 UTC

/bin/sh -c #(nop) ENV DOCKER_COMPOSE_VERSION=2.5.0

2022-05-11 01:30:44 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-x86_64'; sha256='6296d17268c77a7159f57f04ed26dd2989f909c58cca4d44d1865f28bd27dd67'; ;; 'armhf') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-armv6'; sha256='92b423e2c4d0ca0a979d7b6a4fb13707612f8fa19b900bc6cd1c2cf83f2780c5'; ;; 'armv7') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-armv7'; sha256='d728dcbe5e20103e9b025efdbb6bfbca9ea9866851e669f7775fe3ebb7ab945c'; ;; 'aarch64') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-aarch64'; sha256='7efc61cc85fe712f14f04a6886d1481c96fe958be265f67482583b4b713b6a22'; ;; 'ppc64le') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-ppc64le'; sha256='e40af00a5f3ef87d31372f949134411b574042b8c055b2e5da12b92192405cb6'; ;; 's390x') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-s390x'; sha256='c36e48910f095d07d582b69363fb3f902bb6fab9e2bd3d5ed82a67d1b2279a39'; ;; *) echo >&2 "warning: unsupported compose architecture ($apkArch); skipping"; exit 0 ;; esac; plugin='/usr/libexec/docker/cli-plugins/docker-compose'; mkdir -p "$(dirname "$plugin")"; wget -O "$plugin" "$url"; echo "$sha256 *$plugin" | sha256sum -c -; chmod +x "$plugin"; ln -sv "$plugin" /usr/local/bin/; docker-compose --version; docker compose version

2022-05-11 01:30:45 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2022-05-11 01:30:45 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2022-05-11 01:30:45 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2022-05-11 01:30:45 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2022-05-11 01:30:45 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-05-11 01:30:46 UTC

/bin/sh -c #(nop) CMD ["sh"]

2022-05-11 01:31:05 UTC

/bin/sh -c apk add --no-cache git

Details
Created

2022-05-11 00:43:51 UTC

Size

88.7 MB

Content Digest
Environment
DOCKER_BUILDX_VERSION

0.8.2

DOCKER_COMPOSE_VERSION

2.5.0

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.15

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9981e73032c8833e387a8f96986e560edbed12c38119e0edb0439c9c2234eac9 - 2.92% (2.59 MB)

[#001] sha256:77b8a1a2bc336776643f1641eb7c6c2c8fbe180e51541b40d7abec0ceb17668b - 2.08% (1.85 MB)

[#002] sha256:fa25d67de920b612e26aef152b86d46e8cd4eb0e7e991d33f616108107c752e3 - 0.0% (153 Bytes)

[#003] sha256:f0bace62412be99e37e41c6209417615e6e417cb0bdb8a0e509110a3b9b5af5b - 64.48% (57.2 MB)

[#004] sha256:0d8b8a1b3f8ca4629fce0550d02a91d6faf92e020a1cfa050c4e73fbeecffd0f - 14.08% (12.5 MB)

[#005] sha256:ddd73b57441486d29bba8adc690d019a81a58d55afb2144a0a0ee9f04c48b58b - 8.98% (7.97 MB)

[#006] sha256:d1491e487ee15eff8d1484795137ca77e8c33cef424c8009f58efb98b55e498c - 0.0% (547 Bytes)

[#007] sha256:b7428344a1d209df26c6007938ae720ca5314b7194aad26da9450b76c2fdfb3c - 0.0% (1020 Bytes)

[#008] sha256:cf19d592fc22ab6b365349a62e52010658ab6d152e903ad319f7b2ac588820b7 - 0.0% (117 Bytes)

[#009] sha256:8ed14c2edfc4c1e09a3dc29020e19fad2d064256d93ffbc664d1f2a35beca119 - 7.46% (6.61 MB)


History
2022-04-04 23:39:31 UTC

/bin/sh -c #(nop) ADD file:90e56af13188c7f0283d244a0d70b853d8bef8587a41f1da8eac3a2aba8964ef in /

2022-04-04 23:39:31 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 08:57:00 UTC

/bin/sh -c apk add --no-cache ca-certificates libc6-compat openssh-client

2022-04-05 08:57:00 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2022-05-06 00:39:33 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.15

2022-05-06 00:39:38 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.15.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.15.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.15.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.15.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2022-05-11 00:42:54 UTC

/bin/sh -c #(nop) ENV DOCKER_BUILDX_VERSION=0.8.2

2022-05-11 00:42:59 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-amd64'; sha256='c64de4f3c30f7a73ff9db637660c7aa0f00234368105b0a09fa8e24eebe910c3'; ;; 'armhf') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-arm-v6'; sha256='d0e5d19cd67ea7a351e3bfe1de96f3d583a5b80f1bbadd61f7adcd61b147e5f5'; ;; 'armv7') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-arm-v7'; sha256='b5bb1e28e9413a75b2600955c486870aafd234f69953601eecc3664bd3af7463'; ;; 'aarch64') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-arm64'; sha256='304d3d9822c75f98ad9cf57f0c234bcf326bbb96d791d551728cadd72a7a377f'; ;; 'ppc64le') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-ppc64le'; sha256='32b317d86c700d920468f162f93ae2282777da556ee49b4329f6c72ee2b11b85'; ;; 'riscv64') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-riscv64'; sha256='76d5fcf92ffa31b3e470d8ec1ab11f7b6997729e5c94d543fec765ad79ad0630'; ;; 's390x') url='https://github.com/docker/buildx/releases/download/v0.8.2/buildx-v0.8.2.linux-s390x'; sha256='ec4bb6f271f38dca5a377a70be24ee2108a85f6e6ba511ad3b805c4f1602a0d2'; ;; *) echo >&2 "warning: unsupported buildx architecture ($apkArch); skipping"; exit 0 ;; esac; plugin='/usr/libexec/docker/cli-plugins/docker-buildx'; mkdir -p "$(dirname "$plugin")"; wget -O "$plugin" "$url"; echo "$sha256 *$plugin" | sha256sum -c -; chmod +x "$plugin"; docker buildx version

2022-05-11 00:42:59 UTC

/bin/sh -c #(nop) ENV DOCKER_COMPOSE_VERSION=2.5.0

2022-05-11 00:43:02 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-x86_64'; sha256='6296d17268c77a7159f57f04ed26dd2989f909c58cca4d44d1865f28bd27dd67'; ;; 'armhf') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-armv6'; sha256='92b423e2c4d0ca0a979d7b6a4fb13707612f8fa19b900bc6cd1c2cf83f2780c5'; ;; 'armv7') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-armv7'; sha256='d728dcbe5e20103e9b025efdbb6bfbca9ea9866851e669f7775fe3ebb7ab945c'; ;; 'aarch64') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-aarch64'; sha256='7efc61cc85fe712f14f04a6886d1481c96fe958be265f67482583b4b713b6a22'; ;; 'ppc64le') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-ppc64le'; sha256='e40af00a5f3ef87d31372f949134411b574042b8c055b2e5da12b92192405cb6'; ;; 's390x') url='https://github.com/docker/compose/releases/download/v2.5.0/docker-compose-linux-s390x'; sha256='c36e48910f095d07d582b69363fb3f902bb6fab9e2bd3d5ed82a67d1b2279a39'; ;; *) echo >&2 "warning: unsupported compose architecture ($apkArch); skipping"; exit 0 ;; esac; plugin='/usr/libexec/docker/cli-plugins/docker-compose'; mkdir -p "$(dirname "$plugin")"; wget -O "$plugin" "$url"; echo "$sha256 *$plugin" | sha256sum -c -; chmod +x "$plugin"; ln -sv "$plugin" /usr/local/bin/; docker-compose --version; docker compose version

2022-05-11 00:43:04 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2022-05-11 00:43:05 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2022-05-11 00:43:05 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2022-05-11 00:43:06 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2022-05-11 00:43:07 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-05-11 00:43:08 UTC

/bin/sh -c #(nop) CMD ["sh"]

2022-05-11 00:43:51 UTC

/bin/sh -c apk add --no-cache git

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete